Get booking sender details
GET /api/v5/bookings/{id}/sender
GET
/api/v5/bookings/{id}/sender
Returns the sender (pickup) address for a booking owned by the authenticated member. Requires an API key. Returns 400 when the booking has no sender address.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Example
623630Numeric booking ID.
Responses
Section titled “ Responses ”Booking sender
object
sender
required
Sender (pickup) address for the booking.
object
id
required
Address identifier.
number
address
required
Street address line.
string
company_name
required
Company/business name at this address.
string
email
required
Contact email for this party.
string
name
required
Contact person name at this address.
string
postcode
required
4-digit AU postcode (or destination postcode for international).
string
phone
required
Contact phone number.
string
state
required
State code (e.g. NSW, VIC).
string
suburb
required
Suburb/locality.
string
type
required
Address type, “business” or “residential”.
string
country
required
2-letter ISO country code (e.g. AU).
string
Sender address missing
Missing or invalid API key
Booking not found